#navbar {
  width: 100%;
  height: var(--navbar-height);
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  gap: 0;
  padding: 0 var(--spacing-m);
  color: var(--color-primary);
  background: var(--color-bg-primary);
  position: fixed;
  top: 0;
  z-index: 100;
}

#nav-toggle {
  display: none;
}

.hamburger {
  display: flex;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
}

.hamburger span {
  display: block;
  width: 2rem;
  height: 2px;
  background: var(--color-primary);
}

.nav-links {
  display: none;
  width: 100%;
  gap: var(--spacing-m);
  justify-content: center;
}

#nav-toggle:checked ~ .nav-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: var(--navbar-height);
  left: 0;
  width: 100%;
  background: var(--color-bg-primary);
  padding: var(--spacing-s) 0;
}

.page-links, .social-links {
  display: flex;
  gap: var(--spacing-m);
  color: var(--color-secondary);
}

.social-links svg {
  width: 2rem;
  height: auto;
}

:is(.page-links, .social-links) a {
  color: var(--color-secondary);
  text-decoration: none;
}

:is(.page-links, .social-links) a:hover {
  color: var(--color-primary);
}

#navbar .logo-container {
  display: flex;
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
}

#navbar .logo {
  width: 4rem;
  color: var(--color-primary);
  transition: 0.15s ease-in transform;
}

#navbar .logo:hover {
  transform-origin: center;
  transform: rotate(6deg);
}

/* MEDIA QUERIES */

/* TABLET / LAPTOP */
@media screen and (min-width: 769px) {
  :root {
  --navbar-height: 9rem;
  }

  .hamburger {
    display: none;
  }

  #navbar .logo-container {
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
  }

  .nav-links {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0 12vw;
    position: static;
    width: 100%;
    background: transparent;
  }
}

/* DESKTOP */

@media screen and (min-width: 1280px) {
  /* MORE RULES */
}